Hello community,

here is the log from the commit of package plasma5-workspace for 
openSUSE:Factory checked in at 2018-01-22 16:08:26
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Comparing /work/SRC/openSUSE:Factory/plasma5-workspace (Old)
 and      /work/SRC/openSUSE:Factory/.plasma5-workspace.new (New)
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Package is "plasma5-workspace"

Mon Jan 22 16:08:26 2018 rev:82 rq:566926 version:5.11.95

Changes:
--------
--- /work/SRC/openSUSE:Factory/plasma5-workspace/plasma5-workspace.changes      
2018-01-03 13:38:00.045973870 +0100
+++ /work/SRC/openSUSE:Factory/.plasma5-workspace.new/plasma5-workspace.changes 
2018-01-22 16:08:29.682069735 +0100
@@ -1,0 +2,10 @@
+Mon Jan 15 15:54:07 CET 2018 - [email protected]
+
+- Update to 5.11.95
+  * New feature release
+  * For more details please see:
+  * https://www.kde.org/announcements/plasma-5.11.95.php
+- Too many changes to list here
+- Adjust 0001-Rename-qdbus-in-startkde.patch
+
+-------------------------------------------------------------------

Old:
----
  plasma-workspace-5.11.5.tar.xz

New:
----
  plasma-workspace-5.11.95.tar.xz

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Other differences:
------------------
++++++ plasma5-workspace.spec ++++++
--- /var/tmp/diff_new_pack.ifI9gQ/_old  2018-01-22 16:08:30.558028752 +0100
+++ /var/tmp/diff_new_pack.ifI9gQ/_new  2018-01-22 16:08:30.562028564 +0100
@@ -17,23 +17,23 @@
 
 
 #Compat macro for new _fillupdir macro introduced in Nov 2017
-%{!?_fillupdir: %global _fillupdir /var/adm/fillup-templates}
+%{!?_fillupdir: %global _fillupdir %{_localstatedir}/adm/fillup-templates}
 
 %define kf5_version 5.34.0
 
 %bcond_without lang
 Name:           plasma5-workspace
-Version:        5.11.5
-Release:        0
 # Full Plasma 5 version (e.g. 5.9.1)
 %{!?_plasma5_bugfix: %global _plasma5_bugfix %{version}}
 # Lasted ABI-stable Plasma (e.g. 5.8 in KF5, but 5.9.1 in KUF)
 %{!?_plasma5_version: %global _plasma5_version %(echo %{_plasma5_bugfix} | awk 
-F. '{print $1"."$2}')}
+Version:        5.11.95
+Release:        0
 Summary:        The KDE Plasma Workspace Components
 License:        GPL-2.0+
 Group:          System/GUI/KDE
 Url:            http://www.kde.org/
-Source:         
http://download.kde.org/stable/plasma/%{version}/plasma-workspace-%{version}.tar.xz
+Source:         
http://download.kde.org/unstable/plasma/%{version}/plasma-workspace-%{version}.tar.xz
 Source1:        baselibs.conf
 # PATCH-FIX-OPENSUSE 0001-Rename-qdbus-in-startkde.patch [email protected] 
-- Rename the qdbus executable in startkde
 Patch0:         0001-Rename-qdbus-in-startkde.patch
@@ -45,6 +45,7 @@
 BuildRequires:  fdupes
 BuildRequires:  kf5-filesystem
 BuildRequires:  phonon4qt5-devel >= 4.6.60
+BuildRequires:  pkgconfig
 BuildRequires:  update-desktop-files
 BuildRequires:  cmake(AppStreamQt) >= 0.10.4
 BuildRequires:  cmake(KF5Activities) >= %{kf5_version}
@@ -109,54 +110,49 @@
 BuildRequires:  pkgconfig(xrender)
 BuildRequires:  pkgconfig(xtst)
 BuildRequires:  pkgconfig(zlib)
-Conflicts:      kdebase4-workspace < 5.3.0
-# Some files have been moved from kio-extras5 to plasma5-workspace in 5.4. 
This should prevent a possible file conflict. (boo#944656)
-Conflicts:      kio-extras5 < 15.08.0
 Requires:       %{name}-libs = %{version}-%{release}
+# contains default style, cursors, etc
+Requires:       breeze >= %{_plasma5_version}
+# battery applet
+Requires:       drkonqi5 >= %{_plasma5_version}
+# dialog/platformtheme/etc
+Requires:       frameworkintegration-plugin
+Requires:       kactivitymanagerd
 # used within startup
 Requires:       kde-cli-tools5 >= %{_plasma5_version}
 Requires:       kded
 Requires:       kdelibs4support
+Requires:       kglobalaccel5 >= %{_plasma5_version}
 Requires:       kinit
+Requires:       kscreen5 >= %{_plasma5_version}
 Requires:       kscreenlocker >= %{_plasma5_version}
 Requires:       kwin5 >= %{_plasma5_version}
+Requires:       libkscreen2-plugin >= %{_plasma5_version}
 Requires:       libqt5-qdbus
 Requires:       libqt5-qtpaths
-# /usr/bin/startkde calls xprop
-Requires:       xprop
-# contains default style, cursors, etc
-Requires:       breeze >= %{_plasma5_version}
-# needed by krunner
-Requires:       milou5 >= %{_plasma5_version}
 # heavily used by plasma
 Requires:       libqt5-qtquickcontrols
-# battery applet
-Requires:       drkonqi5 >= %{_plasma5_version}
-Requires:       kglobalaccel5 >= %{_plasma5_version}
-Requires:       solid-imports
-# dialog/platformtheme/etc
-Requires:       frameworkintegration-plugin
-Requires:       kscreen5 >= %{_plasma5_version}
-Requires:       libkscreen2-plugin >= %{_plasma5_version}
+# needed by krunner
+Requires:       milou5 >= %{_plasma5_version}
 # boo#912317
 Requires:       oxygen5-sounds >= %{_plasma5_version}
+Requires:       solid-imports
+# /usr/bin/startkde calls xprop
+Requires:       xprop
 # hardcode versions of plasma-framework-components and 
plasma-framework-private packages, as upstream doesn't keep backwards 
compability there
 %requires_ge plasma-framework-components
 %requires_ge plasma-framework-private
-Requires:       kactivitymanagerd
+Recommends:     %{name}-lang
 Recommends:     kio-extras5
+# The lockscreen has a button to open a virtual keyboard
+Recommends:     libqt5-qtvirtualkeyboard
 # notifications...
 Recommends:     phonon4qt5-backend
 # people should be able to adjust desktop
 Recommends:     systemsettings5
-# Later versions have a supplements in sni-qt
-%if 0%{?suse_version} < 1330
-# so Qt4-only apps have some colors in tray
-Recommends:     sni-qt
-%endif
-# The lockscreen has a button to open a virtual keyboard
-Recommends:     libqt5-qtvirtualkeyboard
-Recommends:     %{name}-lang
+Conflicts:      kdebase4-workspace < 5.3.0
+# Some files have been moved from kio-extras5 to plasma5-workspace in 5.4. 
This should prevent a possible file conflict. (boo#944656)
+Conflicts:      kio-extras5 < 15.08.0
 # plasmashell implements the dbus interface org.freedesktop.Notifications 
directly
 Provides:       %{name}-branding = %{_plasma5_bugfix}
 Provides:       %{name}-branding-upstream = %{version}
@@ -164,7 +160,11 @@
 Obsoletes:      %{name}-branding-upstream < %{version}
 Provides:       xembed-sni-proxy = %{version}
 Obsoletes:      xembed-sni-proxy < %{version}
-BuildRoot:      %{_tmppath}/%{name}-%{version}-build
+# Later versions have a supplements in sni-qt
+%if 0%{?suse_version} < 1330
+# so Qt4-only apps have some colors in tray
+Recommends:     sni-qt
+%endif
 
 %description
 This package contains the basic packages for a Plasma workspace.
@@ -172,18 +172,18 @@
 %package libs
 Summary:        The KDE Plasma Workspace Components
 Group:          Development/Libraries/KDE
+%requires_ge    kio
+%requires_ge    kservice
+%requires_ge    libKF5Activities5
+%requires_ge    libKF5CoreAddons5
+%requires_ge    libKF5I18n5
+%requires_ge    libKF5WindowSystem5
 %requires_ge libQt5Core5
 %requires_ge libQt5DBus5
 %requires_ge libQt5Gui5
 %requires_ge libQt5Widgets5
 %requires_ge libQt5X11Extras5
 %requires_ge libksysguard5
-%requires_ge libKF5CoreAddons5
-%requires_ge libKF5WindowSystem5
-%requires_ge libKF5Activities5
-%requires_ge libKF5I18n5
-%requires_ge kservice
-%requires_ge kio
 %requires_ge plasma-framework
 
 %description libs
@@ -200,10 +200,10 @@
 Requires:       cmake(Qt5Core) >= 5.4.0
 Requires:       cmake(Qt5Gui) >= 5.4.0
 Requires:       cmake(Qt5Quick) >= 5.4.0
+Conflicts:      kapptemplate <= 16.03.80
 Conflicts:      kdebase4-workspace-devel
 Provides:       plasma-workspace5-devel = %{version}
 Obsoletes:      plasma-workspace5-devel < %{version}
-Conflicts:      kapptemplate <= 16.03.80
 
 %description devel
 This package contains the basic packages for a K Desktop Environment
@@ -212,7 +212,6 @@
 %package -n plasma5-session
 Summary:        KDE Plasma 5 X11 Session
 Group:          System/GUI/KDE
-BuildArch:      noarch
 Requires:       breeze >= %{_plasma5_bugfix}
 Requires:       breeze5-decoration >= %{_plasma5_bugfix}
 Requires:       khotkeys5 >= %{_plasma5_bugfix}
@@ -224,14 +223,17 @@
 Requires:       polkit-kde-agent-5 >= %{_plasma5_bugfix}
 Requires:       powerdevil5 >= %{_plasma5_bugfix}
 Requires:       systemsettings5 >= %{_plasma5_bugfix}
+Requires:       update-desktop-files
+Requires(post): update-alternatives
+Requires(postun): update-alternatives
+Requires(pre):  %{_bindir}/cut
+Requires(pre):  %{_bindir}/grep
+Requires(pre):  %{_bindir}/sed
 # needed for displaying the handbooks of KDE applications in a Plasma5 session 
(boo#980068)
 Recommends:     khelpcenter5
 Provides:       kdebase4-session = %{version}
 Obsoletes:      kdebase4-session < %{version}
-Requires:       update-desktop-files
-Requires(pre):  /usr/bin/sed /usr/bin/grep /usr/bin/cut
-Requires(post): update-alternatives
-Requires(postun): update-alternatives
+BuildArch:      noarch
 
 %description -n plasma5-session
 This package contains the startup scripts necessary to start a KDE
@@ -240,12 +242,12 @@
 %package -n plasma5-session-wayland
 Summary:        KDE Plasma 5 Wayland Session
 Group:          System/GUI/KDE
-BuildArch:      noarch
 Requires:       kwayland-integration >= %{_plasma5_bugfix}
 Requires:       libqt5-qtwayland
 Requires:       plasma5-session >= %{version}
 Requires:       xf86-input-libinput
 Requires:       xorg-x11-server-wayland
+BuildArch:      noarch
 
 %description -n plasma5-session-wayland
 This package contains the startup scripts necessary to start a KDE
@@ -266,8 +268,8 @@
   %kf5_makeinstall -C build
 
   %if %{with lang}
-    %kf5_find_lang
-    %kf5_find_htmldocs
+    %{kf5_find_lang}
+    %{kf5_find_htmldocs}
   %endif
 
   %suse_update_desktop_file -r 
%{buildroot}%{_kf5_applicationsdir}/org.kde.klipper.desktop System TrayIcon
@@ -297,17 +299,15 @@
   %fdupes %{buildroot}/%{_prefix}
 
 %post -p /sbin/ldconfig
-
 %postun -p /sbin/ldconfig
 
 %post libs -p /sbin/ldconfig
-
 %postun libs -p /sbin/ldconfig
 
 %post -n plasma5-session
 # Reset the DEFAULT_WM value for KDE upgrade compatibility
-if [ -f /etc/sysconfig/windowmanager ]; then
-    OLD_DEFAULTWM=`grep "DEFAULT_WM" /etc/sysconfig/windowmanager | cut -d '=' 
-f 2 | cut -d '"' -f 2`
+if [ -f %{_sysconfdir}/sysconfig/windowmanager ]; then
+    OLD_DEFAULTWM=`grep "DEFAULT_WM" %{_sysconfdir}/sysconfig/windowmanager | 
cut -d '=' -f 2 | cut -d '"' -f 2`
 fi
 
 if [ -f %{_fillupdir}/sysconfig.windowmanager ]; then
@@ -317,7 +317,7 @@
 # Check the old DEFAULT_WM and whether current DEFAULT_WM exists
 if [ "$OLD_DEFAULTWM" = "startkde4" ] || [ "$OLD_DEFAULTWM" = "startkde" ] || 
[ "$OLD_DEFAULTWM" = "kde4" ]; then
     if [ -n "$TEMPLATE_DEFAULTWM" ] && [ "$OLD_DEFAULTWM" != 
"$TEMPLATE_DEFAULTWM" ]; then
-        sed -i -e 
"s/^DEFAULT_WM=['\"]\?kde.*/DEFAULT_WM=\"${TEMPLATE_DEFAULTWM}\"/g" 
/etc/sysconfig/windowmanager
+        sed -i -e 
"s/^DEFAULT_WM=['\"]\?kde.*/DEFAULT_WM=\"${TEMPLATE_DEFAULTWM}\"/g" 
%{_sysconfdir}/sysconfig/windowmanager
     fi
 fi
 
@@ -329,15 +329,14 @@
   --remove default-xsession.desktop %{_datadir}/xsessions/plasma5.desktop
 
 %files libs
-%defattr(-,root,root)
 %doc COPYING*
 %{_kf5_libdir}/libkworkspace5.so.*
 %{_kf5_libdir}/libplasma-geolocation-interface.so.*
 %{_kf5_libdir}/libtaskmanager.so.*
 %{_kf5_libdir}/libweather_ion.so.*
+%{_kf5_libdir}/libcolorcorrect.so.*
 
 %files
-%defattr(-,root,root)
 %doc COPYING*
 %{_kf5_bindir}/xembedsniproxy
 %{_kf5_bindir}/kcheckrunning
@@ -381,6 +380,7 @@
 %{_kf5_applicationsdir}/org.kde.klipper.desktop
 %{_kf5_applicationsdir}/plasma-windowed.desktop
 %{_kf5_applicationsdir}/org.kde.plasmashell.desktop
+%{_kf5_applicationsdir}/org.kde.systemmonitor.desktop
 %{_kf5_configkcfgdir}/freespacenotifier.kcfg
 %{_kf5_sharedir}/dbus-1/services/kf5_org.kde.kuiserver.service
 %{_kf5_sharedir}/dbus-1/services/org.kde.krunner.service
@@ -396,7 +396,6 @@
 %{_kf5_notifydir}/
 %{_kf5_servicesdir}/
 %{_kf5_servicetypesdir}/
-%{_kf5_sharedir}/ksmserver/
 %{_kf5_sharedir}/ksplash/
 %{_kf5_sharedir}/kstyle/
 %{_kf5_plasmadir}/
@@ -409,24 +408,25 @@
 %{_kf5_sharedir}/sddm/themes/breeze/
 
 %files devel
-%defattr(-,root,root)
 %doc COPYING*
 %{_kf5_prefix}/include/kworkspace5/
 %{_kf5_prefix}/include/plasma/
 %{_kf5_prefix}/include/taskmanager/
+%{_kf5_prefix}/include/colorcorrect/
 %{_kf5_libdir}/cmake/KRunnerAppDBusInterface/
 %{_kf5_libdir}/cmake/KSMServerDBusInterface/
 %{_kf5_libdir}/cmake/LibKWorkspace/
 %{_kf5_libdir}/cmake/LibTaskManager/
+%{_kf5_libdir}/cmake/LibColorCorrect/
 %{_kf5_libdir}/libkworkspace5.so
 %{_kf5_libdir}/libplasma-geolocation-interface.so
 %{_kf5_libdir}/libtaskmanager.so
 %{_kf5_libdir}/libweather_ion.so
+%{_kf5_libdir}/libcolorcorrect.so
 %{_kf5_sharedir}/kdevappwizard/
 %{_kf5_sharedir}/dbus-1/interfaces/
 
 %files -n plasma5-session
-%defattr(-,root,root)
 %doc COPYING*
 %{_kf5_sharedir}/xsessions/plasma5.desktop
 %{_kf5_sharedir}/xsessions/kde-plasma.desktop

++++++ 0001-Rename-qdbus-in-startkde.patch ++++++
--- /var/tmp/diff_new_pack.ifI9gQ/_old  2018-01-22 16:08:30.586027441 +0100
+++ /var/tmp/diff_new_pack.ifI9gQ/_new  2018-01-22 16:08:30.590027255 +0100
@@ -1,8 +1,8 @@
-Index: plasma-workspace-5.10.4/startkde/startkde.cmake
-===================================================================
---- plasma-workspace-5.10.4.orig/startkde/startkde.cmake
-+++ plasma-workspace-5.10.4/startkde/startkde.cmake
-@@ -296,7 +296,7 @@ if test $? -ne 0; then
+diff --git a/startkde/startkde.cmake b/startkde/startkde.cmake
+index 54e28501..0eadd042 100644
+--- a/startkde/startkde.cmake
++++ b/startkde/startkde.cmake
+@@ -297,7 +297,7 @@ if test $? -ne 0; then
    exit 1
  fi
  
@@ -11,7 +11,7 @@
  
  # finally, give the session control to the session manager
  # see kdebase/ksmserver for the description of the rest of the startup 
sequence
-@@ -329,13 +329,13 @@ if test x"$wait_drkonqi"x = x"true"x ; t
+@@ -330,13 +330,13 @@ if test x"$wait_drkonqi"x = x"true"x ; then
      # wait for remaining drkonqi instances with timeout (in seconds)
      wait_drkonqi_timeout=`kreadconfig5 --file startkderc --group 
WaitForDrKonqi --key Timeout --default 900`
      wait_drkonqi_counter=0
@@ -28,11 +28,11 @@
              done
              break
          fi
-Index: plasma-workspace-5.10.4/startkde/startplasma.cmake
-===================================================================
---- plasma-workspace-5.10.4.orig/startkde/startplasma.cmake
-+++ plasma-workspace-5.10.4/startkde/startplasma.cmake
-@@ -132,7 +132,7 @@ if test $? -ne 0; then
+diff --git a/startkde/startplasma.cmake b/startkde/startplasma.cmake
+index a5d09fa7..b67c41e4 100644
+--- a/startkde/startplasma.cmake
++++ b/startkde/startplasma.cmake
+@@ -140,7 +140,7 @@ if test $? -ne 0; then
    exit 1
  fi
  
@@ -41,7 +41,7 @@
  
  # finally, give the session control to the session manager
  # see kdebase/ksmserver for the description of the rest of the startup 
sequence
-@@ -161,13 +161,13 @@ if test x"$wait_drkonqi"x = x"true"x ; t
+@@ -169,13 +169,13 @@ if test x"$wait_drkonqi"x = x"true"x ; then
      # wait for remaining drkonqi instances with timeout (in seconds)
      wait_drkonqi_timeout=`kreadconfig5 --file startkderc --group 
WaitForDrKonqi --key Timeout --default 900`
      wait_drkonqi_counter=0
@@ -58,11 +58,43 @@
              done
              break
          fi
-Index: plasma-workspace-5.10.4/wallpapers/image/wallpaper.knsrc
-===================================================================
---- plasma-workspace-5.10.4.orig/wallpapers/image/wallpaper.knsrc
-+++ plasma-workspace-5.10.4/wallpapers/image/wallpaper.knsrc
-@@ -41,4 +41,4 @@ Categories=KDE Wallpaper 800x600,KDE Wal
+diff --git a/startkde/startplasmacompositor.cmake 
b/startkde/startplasmacompositor.cmake
+index 8ac47aa7..377a46f3 100644
+--- a/startkde/startplasmacompositor.cmake
++++ b/startkde/startplasmacompositor.cmake
+@@ -120,12 +120,12 @@ fi
+ 
+ # Get a property value from org.freedesktop.locale1
+ queryLocale1() {
+-    qdbus --system org.freedesktop.locale1 /org/freedesktop/locale1 "$1"
++    qdbus-qt5 --system org.freedesktop.locale1 /org/freedesktop/locale1 "$1"
+ }
+ 
+ # Query whether org.freedesktop.locale1 is available. If it is, try to
+ # set XKB_DEFAULT_{MODEL,LAYOUT,VARIANT,OPTIONS} accordingly.
+-if qdbus --system org.freedesktop.locale1 >/dev/null 2>/dev/null; then
++if qdbus-qt5 --system org.freedesktop.locale1 >/dev/null 2>/dev/null; then
+     # Do not overwrite existing values. There is no point in setting only some
+     # of them as then they would not match anymore.
+     if [ -z "${XKB_DEFAULT_MODEL}" -a -z "${XKB_DEFAULT_LAYOUT}" -a \
+@@ -175,10 +175,10 @@ fi
+ export XDG_DATA_DIRS
+ 
+ # Make sure that D-Bus is running
+-if qdbus >/dev/null 2>/dev/null; then
++if qdbus-qt5 >/dev/null 2>/dev/null; then
+     : # ok
+ else
+-    echo 'startplasmacompositor: Could not start D-Bus. Can you call qdbus?'  
1>&2
++    echo 'startplasmacompositor: Could not start D-Bus. Can you call 
qdbus-qt5?'  1>&2
+     test -n "$ksplash_pid" && kill "$ksplash_pid" 2>/dev/null
+     exit 1
+ fi
+diff --git a/wallpapers/image/wallpaper.knsrc 
b/wallpapers/image/wallpaper.knsrc
+index 13f52321..96c6e359 100644
+--- a/wallpapers/image/wallpaper.knsrc
++++ b/wallpapers/image/wallpaper.knsrc
+@@ -42,4 +42,4 @@ Categories=KDE Wallpaper 800x600,KDE Wallpaper 1024x768,KDE 
Wallpaper 1280x1024,
  StandardResource=wallpaper
  Uncompress=archive
  

++++++ plasma-workspace-5.11.5.tar.xz -> plasma-workspace-5.11.95.tar.xz ++++++
/work/SRC/openSUSE:Factory/plasma5-workspace/plasma-workspace-5.11.5.tar.xz 
/work/SRC/openSUSE:Factory/.plasma5-workspace.new/plasma-workspace-5.11.95.tar.xz
 differ: char 25, line 1


Reply via email to